

<template>

<v-menu :close-on-content-click="false" :nudge-width="200" v-model="menu" offset-y>
    <v-btn slot="activator" flat>
        <v-icon dark>person</v-icon>
    </v-btn>
    <v-card>
        <v-list>
            <v-list-tile avatar>
                <v-list-tile-content>
                    <v-list-tile-title>Bob Smith</v-list-tile-title>
                    <v-list-tile-sub-title>Famous Anonymous</v-list-tile-sub-title>
                </v-list-tile-content>
                <v-list-tile-action>
                    <v-btn :class="fav ? 'red--text' : ''" icon @click="fav = !fav">
                        <v-icon>favorite</v-icon>
                    </v-btn>
                </v-list-tile-action>
            </v-list-tile>
        </v-list>
        <v-divider></v-divider>
        <v-list>
            <v-list-tile>
                <v-list-tile-action>
                    <v-switch v-model="message" color="purple"></v-switch>
                </v-list-tile-action>
                <v-list-tile-title>Is it me you're looking for?</v-list-tile-title>
            </v-list-tile>
            <v-list-tile>
                <v-list-tile-action>
                    <v-switch v-model="hints" color="purple"></v-switch>
                </v-list-tile-action>
                <v-list-tile-title>Yes, you can call me</v-list-tile-title>
            </v-list-tile>
        </v-list>
        <v-card-actions>
            <v-spacer></v-spacer>
            <v-btn flat @click="menu = false">Cancel</v-btn>
            <v-btn color="primary" flat @click="menu = false">Save</v-btn>
        </v-card-actions>
    </v-card>
</v-menu>

</template>

<script>
  export default {
    data: () => ({
      fav: true,
      menu: false,
      message: false,
      hints: true
    })
  }
</script>
